Subject: bug#43321: programs depending on libcap 2.31 are crashing (including ntpd, chrony, and potentially others)

From: Leo Famulari <[email-masked]>
Date: Thu, 10 Sep 2020 22:19:54 -0400

On Thu, Sep 10, 2020 at 05:06:55PM -0400, Jesse Dowell wrote:
> I am experiencing issues with ntpd crashing after a recent `guix pull` and
> `guix system reconfigure`. Messages like the following can be found in
> /var/log/messages....

Oof... thank you for the report.

> I was able to fix the issue by rebuilding chronyd with the libcap/next
> package.

Great. I'm also testing the same solution for ntpd now. I'll make sure
that works and figure out what the situation is on the 5.4 kernel.